Page MenuHomePhabricator

Adjust default paragraph limit for MT from 80% to 85%
Closed, ResolvedPublic

Description

Content translation applies different limits to control how much content is modified, showing warnings or even preventing from publishing.

Currently, the default paragraph limit considers a paragraph problematic when "the paragraph contains more than 80% of the initial machine translation". This ticket proposes to change such threshold to be 85% instead.

Based on user feedback and observation, the current threshold seems to add additional noise for paragraphs that may be well reviewed, causing confusion to users.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterAdjust default paragraph limit for MT from 80% to 85%

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2019, 11:46 AM
Pginer-WMF triaged this task as Medium priority.Oct 9 2019, 11:46 AM

Change 542250 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Adjust default paragraph limit for MT from 80% to 85%

https://gerrit.wikimedia.org/r/542250

Change 542250 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Adjust default paragraph limit for MT from 80% to 85%

https://gerrit.wikimedia.org/r/542250

Jpita added a subscriber: Jpita.Oct 21 2019, 10:00 AM

working as expected on ca.wiki, waiting for group2 deployment for en.wiki because I noticed a weird behaviour (warning only disappears when it reaches 49%

Jpita closed this task as Resolved.Oct 22 2019, 6:44 AM